Name:           gnunet-gtk
Version:        0.8.0c
Release:        1%{?dist}
Summary:        GNUnet GTK+ User Interface

Group:          Applications/Internet
License:        GPLv2+
URL:            http://gnunet.org/
Source0:        http://gnunet.org/download/%{name}-%{version}.tar.bz2
Patch0:         gnunet-gtk-0.8.0c-desktoptypo.patch
Patch1:         gnunet-gtk-0.8.0c-startupnotifyname.patch
Patch2:         gnunet-gtk-0.8.0c-sbinsetup.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  GNUnet-devel
BuildRequires:  autoconf
BuildRequires:  libextractor-devel         >= 0.5.20b
BuildRequires:  gtk2-devel                 >= 2.6.0
BuildRequires:  libglade2-devel            >= 2.6.1
BuildRequires:  libnotify-devel            >= 0.3.2
BuildRequires:  startup-notification-devel >= 0.9

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

%description
GNUnet is a framework for secure peer-to-peer networking that does not use any
centralized or otherwise trusted services. A first service implemented on top
of the networking layer allows anonymous censorship-resistant
file-sharing. Anonymity is provided by making messages originating from a peer
indistinguishable from messages that the peer is routing. All peers act as
routers and use link-encrypted connections with stable bandwidth utilization to
communicate with each other. GNUnet uses a simple, excess-based economic model
to allocate resources. Peers in GNUnet monitor each others behavior with
respect to resource usage; peers that contribute to the network are rewarded
with better service.

This package contains the GTK+ based user interface for GNUnet.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .desktoptypo
%patch1 -p1 -b .startupnotifyname
%patch2 -p1 -b .sbinsetup


%build
autoreconf
%configure --enable-libnotify
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%post
/sbin/ldconfig

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig

if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/GNUnet/*.so
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/GNUnet/*
%{_libdir}/*.so

%changelog
* Sun Oct 11 2009 Alexander Kahl <akahl@iconmobile.com> - 0.8.0c-1
- initial creation
